#!/bin/bash

set -e
[[ -t 0 ]] || set -- /dev/stdin
[[ -z $1 ]] && { echo "argument required: Scheduler.conf"; exit 1; }
ls $1 >/dev/null

SIDE=out
while IFS= read line ; do
  if [[ $line =~ ^[#\;]= ]] ; then
    echo "=${line#?}"
    [[ $SIDE = out ]] && SIDE=in || SIDE=out
  elif [[ $line =~ ^[#\;] && $SIDE = in ]] ; then
    echo "=${line#?}"
  else
    echo "$line"
  fi
done < <(cat $1; echo) | egrep -v '^\s*$'  \
| while IFS= read line ; do
  if [[ $line =~ ^'[' ]] ; then
    SECTION="$line"
  elif [[ -n $SECTION && $line =~ ^= ]] ; then
    COMMENT=$(echo -e "$COMMENT\n;${line#?}")
  else
    [[ -n $SECTION ]] && echo -e "$COMMENT\n$SECTION"
    unset SECTION COMMENT
    [[ $line =~ ^= ]] && echo ";${line#?}" || echo "$line"
  fi
done | sed -r 's,^\s+,,;s,\s+$,,;' | tail -n +2
