package DE_EPAGES::Coupon::API::Resource::CouponCampaignCollectionResource;
use base DE_EPAGES::WebService::API::Resource::BaseObjectCollectionResource;

use DE_EPAGES::Coupon::API::CouponService;
use DE_EPAGES::Core::API::Url qw (ParseQueryString);
use DE_EPAGES::Object::API::Factory qw ( LoadObjectByPath );
use JSON;
use strict;



sub service {
    return LoadObjectByPath('/RestServices/CouponCampaignCollection');
}



sub class {
    return 'Shop';
}



sub producedContentTypes {
    shift;
    my ($RequestMethod) = @_;

    return {
        POST => [
            ['post', 'application/vnd.epages.v1+json'],
            ['post', 'application/json'],
        ],
    }->{$RequestMethod};
}



sub match {
    my $self = shift;
    my ($Request) = @_;
    return unless $Request->uri->path =~ m|^/api/coupon-campaigns/?$|;
    return 1;
}



sub params {
    my $self = shift;
    my ($ActionName, $Object, $Request) = @_;

    if( $ActionName eq 'post' ) {
        my $hQuery = ParseQueryString( $Request->uri->query, 'utf-8' );
        my $LocaleID = $hQuery->{'locale'}->[0];
        return [ $Object, $LocaleID];
    }
    else {
        return [ $Object ];
    }
}



sub post {
    my $self = shift;
    my ($Shop, $LocaleID, $hRequestBody) = @_;

    my $CouponService = DE_EPAGES::Coupon::API::CouponService->new();
    return $CouponService->createCampaign($Shop, $LocaleID, $hRequestBody);
}



1;
