package DE_EPAGES::Coupon::API::Resource::CouponCampaignResource;
use base DE_EPAGES::WebService::API::Resource::BaseObjectResource;

use DE_EPAGES::Coupon::API::CouponService;
use DE_EPAGES::Core::API::Url qw (ParseQueryString);
use DE_EPAGES::Object::API::Factory qw ( LoadObjectByPath );
use JSON;
use strict;



sub service {
    return LoadObjectByPath('/RestServices/CouponCampaign');
}



sub class {
    return 'CouponCampaign';
}



sub producedContentTypes {
    shift;
    my ($RequestMethod) = @_;

    return {
        GET => [
            ['get', 'application/vnd.epages.v1+json'],
            ['get', 'application/json'],
        ],
    }->{$RequestMethod};
}



sub match {
    my $self = shift;
    my ($Request) = @_;
    return unless $Request->uri->path =~ m|^/api/coupon-campaigns/([^/]+)/?$|;
    return $1;
}



sub params {
    my $self = shift;
    my ($ActionName, $Object, $Request) = @_;


    if( $ActionName eq 'get' ) {
        my $hQuery = ParseQueryString( $Request->uri->query, 'utf-8' );
        my $LocaleID = $hQuery->{'locale'}->[0];
        return [ $Object, $LocaleID];
    }
    else {
        return [ $Object ];
    }
}



sub get {
    my $self = shift;
    my ($Campaign, $LocaleID) = @_;
    my $CouponService = DE_EPAGES::Coupon::API::CouponService->new();
    return $CouponService->getCampaign($Campaign, $LocaleID);
}



1;
