package DE_EPAGES::Coupon::API::Resource::CouponResource;
use base DE_EPAGES::WebService::API::Resource::BaseObjectResource;

use DE_EPAGES::Coupon::API::CouponService;
use DE_EPAGES::Object::API::Factory qw ( LoadObjectByPath );
use JSON;
use strict;



sub service {
    return LoadObjectByPath('/RestServices/Coupon');
}



sub class {
    return 'CouponCampaign';
}



sub producedContentTypes {
    shift;
    my ($RequestMethod) = @_;

    return {
        PUT => [
            ['put', 'application/vnd.epages.v1+json'],
            ['put', 'application/json'],
        ],
    }->{$RequestMethod};
}



sub match {
    my $self = shift;
    my ($Request) = @_;
    return unless $Request->uri->path =~ m|^/api/coupon-campaigns/([^/]+)/coupons/?$|;
    return $1;
}



sub params {
    my $self = shift;
    my ($ActionName, $Object, $Request) = @_;


    if ( $ActionName eq 'put' ) {
        return [ $Object ];
    }
    else {
        return [ $Object ];
    }
}


sub put {
    my $self = shift;
    my ($Campaign, $hRequestBody) = @_;
    my $CouponCode = $hRequestBody->{'code'};

    my $CouponService = DE_EPAGES::Coupon::API::CouponService->new();
    $CouponService->createCouponForCampaign($Campaign, $CouponCode);
    return;
}



1;
