#========================================================================================
# package      DE_EPAGES::EPagesJ::API::Attributes::System_DefaultExt
# state        private
# base         DE_EPAGES::EPagesJ::API::Attributes::DefaultAttribute
# description  Attributes are saved at default attributes.
#========================================================================================
package DE_EPAGES::EPagesJ::API::Attributes::System_DefaultExt;
use base qw( DE_EPAGES::Object::API::Attributes::DefaultAttribute );

use strict;


sub getAttributes {
    my $self = shift;
    my ($Object, $aNames, $LanguageID) = @_;

    my $hInfo = {};

    foreach my $Name (@$aNames) {
        if ($Name eq 'UnityBaseURL') {
            my $hSuperValues = $self->SUPER::getAttributes($Object, ['UnityBaseURL', 'EPagesJBaseURL']);

            if (defined $hSuperValues->{'UnityBaseURL'}) {
                $hInfo->{$Name} = $hSuperValues->{'UnityBaseURL'};
            }
            else {
                my $UnityBaseURL = $hSuperValues->{'EPagesJBaseURL'};

                # remove /rs/ from EPagesJBaseURL
                $UnityBaseURL =~ s/\/rs\///;

                $hInfo->{$Name} = $UnityBaseURL;
            }
        }
    }

    return $hInfo;
}

1;
