#========================================================================================
# package      DE_EPAGES::OneSaas::Hooks::AppStore
# state        private
#========================================================================================
package DE_EPAGES::OneSaas::Hooks::AppStore;

use DE_EPAGES::Core::API::Url qw ( UrlEncodeValue ); ## no critic (RequireCorrectImports)
use DE_EPAGES::Object::API::Factory qw ( LoadRootObject );
use DE_EPAGES::Shop::API::Url qw ( BuildShopUrl );

use strict;

sub OnCustomizeAppLinks {
    my ($hInfo) = @_;
    if($hInfo->{'App'}->{'supportWebsite'} =~ /onesaas\.com/i) {
        my $aLinks = $hInfo->{'AppLinks'}->{'links'};

        for ( my $i = 0; $i < scalar @$aLinks; ++$i) {
            my $link = $aLinks->[$i];
            if ($link->{'rel'} eq 'installApp') {
                my $ePagesAdminURL = BuildShopUrl($hInfo->{Shop},
                    {'ViewAction' => 'MBO-ViewOneSaasAuthorization', 'appID' => $hInfo->{'App'}->{'id'}},
                    {'Type' => 'admin', 'UseSSL' => 1});
                my $sfUrl = BuildShopUrl( $hInfo->{Shop} , {} , {'Type'   => 'sf', 'UseObjectPath' => '1'});
                my $hOneSaasValues = LoadRootObject()->get([qw( OneSaasRC OneSaasServiceType OneSaasRedirectUrl )]);
                my $OneSaasUrl = $hOneSaasValues->{'OneSaasRedirectUrl'};
                my $appID = $hInfo->{App}->{id};
                $OneSaasUrl =~ s/\{rc\}/UrlEncodeValue($hOneSaasValues->{OneSaasRC})/e;
                $OneSaasUrl =~ s/\{servicetype\}/UrlEncodeValue($hOneSaasValues->{OneSaasServiceType})/e;
                $OneSaasUrl =~ s/\{appID\}/UrlEncodeValue($appID)/e;
                $OneSaasUrl =~ s/\{shopUrl\}/UrlEncodeValue($sfUrl)/e;
                $OneSaasUrl =~ s/\{domain\}/UrlEncodeValue($ePagesAdminURL)/e;
                $link->{'href'} = $OneSaasUrl;
            }
            elsif($link->{'rel'} eq 'uninstallApp') {
                $link->{'href'} = '?ViewAction=MBO-ViewOneSaasAuthorization&appID='.$hInfo->{'App'}->{'id'};
            }
        }
    }

    return;
}

1;
