#========================================================================================
# package      DE_EPAGES::Order::Hooks::Object
# state        public
# description  set Unity urls for Basket
#========================================================================================
package DE_EPAGES::Order::Hooks::Object;

use strict;
use DE_EPAGES::Order::API::JWT qw ( CreateOrderJsonWebToken );

#========================================================================================
# function     OnUnityURL
#----------------------------------------------------------------------------------------
# syntax       OnUnityURL($hParams);
#----------------------------------------------------------------------------------------
# description  sets public Unity SF url for Basket
#----------------------------------------------------------------------------------------
# input        $hParams |
#               <ul>
#                   <li>Object
#                   <li>Params
#               </ul> | ref.hash.*
#========================================================================================
sub OnUnityURL {
    my ($hParams) = @_;

    my $Object = $hParams->{'Object'};
    my $hUnityParams = $hParams->{'Params'};

    if ($Object->class->alias eq 'Basket') {
        $hUnityParams->{'UnityURL'} = $hUnityParams->{'UnityURL'} . '/cart'
    }
    elsif ($Object->class->alias eq 'CustomerOrder') {
        my $GUID = $Object->guid;
        $hUnityParams->{'UnityURL'} = $hUnityParams->{'UnityURL'} . '/o/' . $GUID
            . '?viewtkn=' . CreateOrderJsonWebToken($GUID);
    }

    return;
}

1;
