#========================================================================================
# package      DE_EPAGES::Presentation::API::Attributes::LocalizedStrings_Ext
# base         DE_EPAGES::Object::API::Attributes::DefaultAttribute
# state        private
# description  Implements attributes for Presentation localized fields.
#========================================================================================
package DE_EPAGES::Presentation::API::Attributes::LocalizedStrings_Ext;
use base qw( DE_EPAGES::Object::API::Attributes::DefaultAttribute );

use strict;
use DE_EPAGES::Presentation::API::Constants qw(
    IS_LENGTH_CHECK_ACTIVE
    EPAGES6_LOCALIZED_FIELDS_LENGTH
    UNITY_LOCALIZED_FIELDS_LENGTH
);

#========================================================================================
# function     getAttributes
# state        private
# syntax       $Value = $Object->get($AttributeName);
#=======================================================================================
sub getAttributes {
    my $self = shift;
    my ($Object, $aNames) = @_;

    my $hInfo = {};
    foreach my $Name (@$aNames) {
        if ( $Name eq 'LengthCheckIsActive' ) {
            $hInfo->{$Name} = IS_LENGTH_CHECK_ACTIVE;
        }
        elsif ( $Name eq 'Epages6LocalizedFieldsMaxLength' ) {
            $hInfo->{$Name} = EPAGES6_LOCALIZED_FIELDS_LENGTH;
        }
        elsif ( $Name eq 'UnityLocalizedFieldsMaxLength' ) {
            $hInfo->{$Name} = UNITY_LOCALIZED_FIELDS_LENGTH;
        }
    }
    return $hInfo;
}

1;
