package DE_EPAGES::PriceList::UI::CSVExportImportPriceListCustomerSpecifics;
use base qw( DE_EPAGES::ShopCSVExportImport::UI::CSVExportImport );

use strict;
use DE_EPAGES::PriceList::API::CSV::PriceListCustomerSpecificsExportImport;

#==============================================================================
# Helper methods
#==============================================================================

sub createDriver {
    return 'DE_EPAGES::PriceList::API::CSV::PriceListCustomerSpecificsExportImport';
}

sub type {
    return 'PriceListCustomerSpecifics';
}

#==============================================================================
# Event handlers
#==============================================================================
sub CSVExportImportPriceListCustomerSpecifics {
    my $self    = shift;
    my ($Servlet) = @_;

    my $Shop = $Servlet->object;
    die 'MUST_BE_NOW' unless $Shop->get('IsUnityRegistered');

    my @ObjectIDs = $Servlet->form->value('SelectedObjects');
    $Servlet->vars( 'CountSelectedObjects', scalar @ObjectIDs);

    $self->SUPER::CSVExportImport( $Servlet );

    return;
}

sub CSVImport {
    my $self    = shift;
    my ($Servlet) = @_;

    my $Shop = $Servlet->object;
    die 'MUST_BE_NOW' unless $Shop->get('IsUnityRegistered');

    $self->SUPER::CSVImport( $Servlet );

    $Shop->updatePageCache;
    return;
}

1;
