#========================================================================================
# package      DE_EPAGES::Shop::API::Attributes::Address_Ext
# state        private
# description  Implements the attribute "IsEU" of the "Address" class.
#========================================================================================
package DE_EPAGES::Shop::API::Attributes::Address_Ext;
use base DE_EPAGES::Object::API::BaseAttribute;

use strict;
use DE_EPAGES::Shop::API::Address qw(IsEUAddress);


sub getAttributes {
    my $self = shift;
    my ($Object, $aNames, $LanguageID) = @_;

    my %Values;
    foreach my $Name (@$aNames) {
        if ($Name eq 'IsEU') {
            # test the address by the given zip code if this is an EU address
            $Values{$Name} = IsEUAddress($Object);
        } else {
            die "Invalid attribute: $Name";
        }
    }

    return \%Values;
}

1;
